freemarker.debug

## Class DebuggerClient

- java.lang.Object
- - freemarker.debug.DebuggerClient

    public class DebuggerClient
    extends Object

A utility class that allows you to connect to the FreeMarker debugger service running on a specific host and port.

### Method Summary

All Methods Static Methods Concrete Methods
`static Debugger` `getDebugger(InetAddress host, int port, String password)` Connects to the FreeMarker debugger service running on a specific host and port.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDebugger

    public static Debugger getDebugger(InetAddress host,
                                       int port,
                                       String password)
                                throws IOException

Connects to the FreeMarker debugger service running on a specific host and port. The Java VM to which the connection is made must have defined the system property `freemarker.debug.password` in order to enable the debugger service. Additionally, the `freemarker.debug.port` system property can be set to specify the port where the debugger service is listening. When not specified, it defaults to `Debugger.DEFAULT_PORT`.

Parameters:
  `host` - the host address of the machine where the debugger service is running.
  `port` - the port of the debugger service
  `password` - the password required to connect to the debugger service
Returns:
  Debugger a debugger object. null is returned in case incorrect password was supplied.
Throws:
  `IOException` - if an exception occurs.